Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.tasks.util
Class ExistingDirsFilter

    java.lang.Object
      org.gradle.api.tasks.util.ExistingDirsFilter

    public class ExistingDirsFilter

extends java.lang.Object

Constructor Summary
`ExistingDirsFilter()`

Method Summary
`java.util.List<java.io.File>` | `checkDestDirAndFindExistingDirsAndThrowStopActionIfNone(java.io.File destDir, java.util.Collection<java.io.File> dirFiles)`
`void` | `checkExistenceAndThrowStopActionIfNot(java.io.File dir)`
`java.util.List<java.io.File>` | `findExistingDirs(java.util.Collection<java.io.File> dirFiles)`
`java.util.List<java.io.File>` | `findExistingDirsAndLogExitMessage(java.util.Collection<java.io.File> dirFiles)`
`java.util.List<java.io.File>` | `findExistingDirsAndThrowStopActionIfNone(java.util.Collection<java.io.File> dirFiles)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExistingDirsFilter

    public ExistingDirsFilter()

Method Detail

### findExistingDirs

    public java.util.List<java.io.File> findExistingDirs(java.util.Collection<java.io.File> dirFiles)

### findExistingDirsAndLogExitMessage

    public java.util.List<java.io.File> findExistingDirsAndLogExitMessage(java.util.Collection<java.io.File> dirFiles)

### findExistingDirsAndThrowStopActionIfNone

    public java.util.List<java.io.File> findExistingDirsAndThrowStopActionIfNone(java.util.Collection<java.io.File> dirFiles)

### checkDestDirAndFindExistingDirsAndThrowStopActionIfNone

    public java.util.List<java.io.File> checkDestDirAndFindExistingDirsAndThrowStopActionIfNone(java.io.File destDir,
                                                                                                java.util.Collection<java.io.File> dirFiles)

### checkExistenceAndThrowStopActionIfNot

    public void checkExistenceAndThrowStopActionIfNot(java.io.File dir)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD